package com.ibiz5.app.core.extensions.service;

import com.ibiz5.app.core.sample.service.impl.IBZ5OrderServiceImpl;
import lombok.extern.slf4j.Slf4j;
import com.ibiz5.app.core.sample.domain.IBZ5Order;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[订单] 自定义服务对象
 */
@Slf4j
@Primary
@Service("IBZ5OrderExService")
public class IBZ5OrderExService extends IBZ5OrderServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[BUIAction]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public IBZ5Order bUIAction(IBZ5Order et) {
        return super.bUIAction(et);
    }
}

