

package com.ibiz5.app.core.sample.mapping;

import org.mapstruct.*;
import com.ibiz5.app.core.sample.domain.IBZ5CPU;
import com.ibiz5.app.core.sample.domain.IBZ5Hardware;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBZ5CPUInheritMapping {

    @Mappings({
        @Mapping(source ="ibz5cpuid",target = "ibz5hardwareid"),
        @Mapping(source ="ibz5cpuname",target = "ibz5hardwarename"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5Hardware toIbz5hardware(IBZ5CPU ibz5cpu);

    @Mappings({
        @Mapping(source ="ibz5hardwareid" ,target = "ibz5cpuid"),
        @Mapping(source ="ibz5hardwarename" ,target = "ibz5cpuname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5CPU toIbz5cpu(IBZ5Hardware ibz5hardware);

    List<IBZ5Hardware> toIbz5hardware(List<IBZ5CPU> ibz5cpu);

    List<IBZ5CPU> toIbz5cpu(List<IBZ5Hardware> ibz5hardware);

}


