package com.ibiz5.app.core.sample.mapping;

import com.ibiz5.app.core.sample.domain.IBZ5Order;
import org.mapstruct.*;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBZ5OrderImport {
    @Mappings({
        @Mapping(target = "ibz5orderid",source = "ibz5orderid"),
        @Mapping(target = "orderuid",source = "orderuid"),
        @Mapping(target = "ordertime",source = "ordertime"),
        @Mapping(target = "ordertype",source = "ordertype"),
        @Mapping(target = "ibz5ordername",source = "ibz5ordername"),
    })
    @BeanMapping(ignoreByDefault = true)
    IBZ5Order toDomain(IBZ5Order entity);

    List<IBZ5Order> toDomain(List<IBZ5Order> entities);
}




