

package com.ibiz5.app.core.sample.mapping;

import org.mapstruct.*;
import com.ibiz5.app.core.sample.domain.IBZ5SoftwareSuit;
import com.ibiz5.app.core.sample.domain.IBZ5UNIProduct;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBZ5SoftwareSuitInheritMapping {

    @Mappings({
        @Mapping(source ="ibz5softwaresuitid",target = "ibz5uniproductid"),
        @Mapping(source ="ibz5softwaresuitname",target = "ibz5uniproductname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5UNIProduct toIbz5uniproduct(IBZ5SoftwareSuit ibz5softwaresuit);

    @Mappings({
        @Mapping(source ="ibz5uniproductid" ,target = "ibz5softwaresuitid"),
        @Mapping(source ="ibz5uniproductname" ,target = "ibz5softwaresuitname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5SoftwareSuit toIbz5softwaresuit(IBZ5UNIProduct ibz5uniproduct);

    List<IBZ5UNIProduct> toIbz5uniproduct(List<IBZ5SoftwareSuit> ibz5softwaresuit);

    List<IBZ5SoftwareSuit> toIbz5softwaresuit(List<IBZ5UNIProduct> ibz5uniproduct);

}


