package com.ibiz5.app.core.extensions.service;

import com.ibiz5.app.core.sample.service.impl.IBZ5Customer_INTFServiceImpl;
import lombok.extern.slf4j.Slf4j;
import com.ibiz5.app.core.sample.domain.IBZ5Customer_INTF;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[客户] 自定义服务对象
 */
@Slf4j
@Primary
@Service("IBZ5Customer_INTFExService")
public class IBZ5Customer_INTFExService extends IBZ5Customer_INTFServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[XXX]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public IBZ5Customer_INTF xXX(IBZ5Customer_INTF et) {
        return super.xXX(et);
    }
}

