

package com.ibiz5.app.core.sample.mapping;

import org.mapstruct.*;
import com.ibiz5.app.core.sample.domain.IBZ5Hardware;
import com.ibiz5.app.core.sample.domain.IBZ5UNIProduct;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBZ5HardwareInheritMapping {

    @Mappings({
        @Mapping(source ="ibz5hardwareid",target = "ibz5uniproductid"),
        @Mapping(source ="ibz5hardwarename",target = "ibz5uniproductname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5UNIProduct toIbz5uniproduct(IBZ5Hardware ibz5hardware);

    @Mappings({
        @Mapping(source ="ibz5uniproductid" ,target = "ibz5hardwareid"),
        @Mapping(source ="ibz5uniproductname" ,target = "ibz5hardwarename"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5Hardware toIbz5hardware(IBZ5UNIProduct ibz5uniproduct);

    List<IBZ5UNIProduct> toIbz5uniproduct(List<IBZ5Hardware> ibz5hardware);

    List<IBZ5Hardware> toIbz5hardware(List<IBZ5UNIProduct> ibz5uniproduct);

}


