

package com.ibiz5.app.core.sample.mapping;

import org.mapstruct.*;
import com.ibiz5.app.core.sample.domain.IBZ5Storage;
import com.ibiz5.app.core.sample.domain.IBZ5Hardware;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBZ5StorageInheritMapping {

    @Mappings({
        @Mapping(source ="ibz5storageid",target = "ibz5hardwareid"),
        @Mapping(source ="ibz5storagename",target = "ibz5hardwarename"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5Hardware toIbz5hardware(IBZ5Storage ibz5storage);

    @Mappings({
        @Mapping(source ="ibz5hardwareid" ,target = "ibz5storageid"),
        @Mapping(source ="ibz5hardwarename" ,target = "ibz5storagename"),
        @Mapping(target ="focusNull",ignore = true),
    })
    IBZ5Storage toIbz5storage(IBZ5Hardware ibz5hardware);

    List<IBZ5Hardware> toIbz5hardware(List<IBZ5Storage> ibz5storage);

    List<IBZ5Storage> toIbz5storage(List<IBZ5Hardware> ibz5hardware);

}


